Bug 202711 - anaconda fails to start
anaconda fails to start
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-08-15 18:04 EDT by daniel miles
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-16 11:07:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description daniel miles 2006-08-15 18:04:30 EDT
When using
 as a root file system (AKA as boot media), anaconda crashes claiming that it
cannot find libbdevid.so.0.4. The error is as follows:

Running anaconda, the Fedora Core system installer - please wait...
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 587, in ?
    import dispatch
  File "/usr/lib/anaconda/dispatch.py", line 19, in ?
    from packages import writeXConfiguration
  File "/usr/lib/anaconda/packages.py", line 27, in ?
    import fsset
  File "/usr/lib/anaconda/fsset.py", line 28, in ?
    import partedUtils
  File "/usr/lib/anaconda/partedUtils.py", line 30 , in ?
    import dmraid
  File "/usr/lib/anaconda/dmraid.py", line 23, in ?
    import block
  File "/usr/lib64/python2.4/site-packages/block/__ini__.py", line 30, in ?
    from bdevid import bdevid as _bdevid
ImportError: libbdevid.so.0.4: cannot open shared object file: No such file or
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
Comment 1 Jeremy Katz 2006-08-16 11:07:06 EDT
Fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.